GET /api/v202108/notification

Get all notifications for the current user

GetNotificationsV202108 Paginated
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
isNotificationArchived Is Notification Archived Boolean equals
isNotificationRead Is Notification Read Boolean equals
notificationTypeID Notification Type ID Integer equals not equals less than between one of greater than less than equal greater than equal not one of
notificationTypeInfo Notification Type Info String equals not equals one of like not like not one of
searchText Search Notifications String equals not equals one of like not like not one of

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

NotificationResponse
Property Description Type
archived True if the notification has been archived boolean
createdDate The date and time the notification was generated string (date-time)
messagePreview The notification message with any html tags stripped out string
notificationId The id of the notification integer (int64)
notificationType NotificationType
NotificationType properties
Property Description Type
notificationCategory NotificationCategory
NotificationCategory properties
Property Description Type
notificationCategoryDescription A description of the notification category string
notificationCategoryId The id of the notification category integer (int32)
notificationCategoryInfo The notification category name string
notificationTypeDescription A description of the notification type string
notificationTypeId The id of the notification type integer (int32)
notificationTypeInfo The notification type name string
read True if the notification has been read boolean
subject Subject of the notification string
Example Response application/json
[
  {    "archived": false,    "createdDate": "2026-03-30",    "messagePreview": "string",    "notificationId": 1,    "notificationType": {      "notificationCategory": {},      "notificationTypeDescription": "string",      "notificationTypeId": 1,      "notificationTypeInfo": "string"
    },    "read": false,    "subject": "string"
  }
]